GETapi.synup.com/api/v4/social-post-ideas/post-idea
Post idea
Returns a single AI social post idea by its ID, including its content, image, scheduling, call-to-action, and generation metadata.
Requires an API key. Send it as
Authorization: API <your-key> — see Getting started.Parameters
Query
| Name | Type | Required | Description |
|---|---|---|---|
ideaId | string | required | ID of the post idea. |
Headers
| Name | Type | Required | Description |
|---|---|---|---|
Synup-Version | string | required | API version date (YYYY-MM-DD). |
Request
Request
curl -X GET 'https://api.synup.com/api/v4/social-post-ideas/post-idea?ideaId=' \
-H 'Authorization: API YOUR_API_KEY' \
-H 'Content-Type: application/json'const res = await fetch('https://api.synup.com/api/v4/social-post-ideas/post-idea?ideaId=', {
method: 'GET',
headers: {
Authorization: 'API YOUR_API_KEY',
'Content-Type': 'application/json',
},
});
const data = await res.json();import requests
res = requests.get(
"https://api.synup.com/api/v4/social-post-ideas/post-idea?ideaId=",
headers={
"Authorization": "API YOUR_API_KEY",
"Content-Type": "application/json",
},
)
data = res.json()req, _ := http.NewRequest("GET", "https://api.synup.com/api/v4/social-post-ideas/post-idea?ideaId=", nil)
req.Header.Set("Authorization", "API YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)Responses
| Status | Description |
|---|---|
200 | Successful response |
401 | Unauthorized - Invalid or missing API key |
Example response (generated from the schema)
{
"data": {
"postIdea": {
"id": "string",
"socialProfileId": "string",
"title": "string",
"content": "string",
"imagePrompt": "string",
"imageUrl": "string",
"type": "string",
"status": "string",
"platforms": [
"string"
],
"bucket": "string",
"calendarDay": 0,
"scheduledDate": "string",
"scheduledTime": "string",
"ctaText": "string",
"ctaUrl": "string",
"note": "string",
"seriesId": "string",
"socialPostId": "string",
"isRecurring": true,
"isUserGenerated": true,
"observanceName": "string",
"observanceDate": "string",
"language": "string",
"generationBatchId": "string",
"fluxJobId": "string",
"createdAt": "string",
"updatedAt": "string"
}
}
}Response body
| Name | Type | Required | Description |
|---|---|---|---|
data | object | optional | |
data.postIdea | object | optional | |
data.postIdea.id | string | optional | |
data.postIdea.socialProfileId | string | optional | |
data.postIdea.title | string | optional | |
data.postIdea.content | string | optional | |
data.postIdea.imagePrompt | string | optional | |
data.postIdea.imageUrl | string | optional | |
data.postIdea.type | string | optional | |
data.postIdea.status | string | optional | |
data.postIdea.platforms | array of string | optional | |
data.postIdea.bucket | string | optional | |
data.postIdea.calendarDay | integer | optional | |
data.postIdea.scheduledDate | string | optional | |
data.postIdea.scheduledTime | string | optional | |
data.postIdea.ctaText | string | optional | |
data.postIdea.ctaUrl | string | optional | |
data.postIdea.note | string | optional | |
data.postIdea.seriesId | string | optional | |
data.postIdea.socialPostId | string | optional | |
data.postIdea.isRecurring | boolean | optional | |
data.postIdea.isUserGenerated | boolean | optional | |
data.postIdea.observanceName | string | optional | |
data.postIdea.observanceDate | string | optional | |
data.postIdea.language | string | optional | |
data.postIdea.generationBatchId | string | optional | |
data.postIdea.fluxJobId | string | optional | |
data.postIdea.createdAt | string | optional | |
data.postIdea.updatedAt | string | optional |